#pragma once

#include "generic_frame.h"

class StoryFrame : public GenericFrame {
public:
	StoryFrame();

	void Init();
	void DeInit();
	bool DoUpdate(float time);
	void DoRender();

private:

	int curText;
	size_t nChars;

	std::vector<String> texts;
	float t;
	Renderer renderer;
};
